Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER
Class Diagnostic.SendCommands

    java.lang.Object
      java.lang.Thread
          PER.Diagnostic.SendCommands

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Diagnostic

public class Diagnostic.SendCommands
extends java.lang.Thread

Field Summary
`boolean` | `keepRunning`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Diagnostic.SendCommands(Diagnostic d, Rover r)`

Method Summary
`void` | `crab(int pspeed, int pang)`
`void` | `run()`
`void` | `spin(int pspeed)`
`void` | `stopDriving()`
`void` | `turn(int pspeed, int prad)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keepRunning

    public boolean keepRunning

Constructor Detail

### Diagnostic.SendCommands

    public Diagnostic.SendCommands(Diagnostic d,
                                   Rover r)

Method Detail

### run

    public void run()

### spin

    public void spin(int pspeed)

### crab

    public void crab(int pspeed,
                     int pang)

### turn

    public void turn(int pspeed,
                     int prad)

### stopDriving

    public void stopDriving()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD